Subject: Re: bug#52545: 29.0.50; Make org-babel-execute-buffer ignore irrelevant src blocks

From: "Berry, Charles" <[email-masked]>
Date: Sat, 25 Dec 2021 23:34:51 +0000

Rudy,

Thanks for the comment, but ...

> On Dec 25, 2021, at 1:37 PM, Rudolf Adamkovič <[email-masked]> wrote:
> 
> I think we look at the problem from two different perspectives.  You
> look at the problem from the "how" perspective, whereas I look at it
> from the "why" perspective.  Sure, we can work around everything in Org.
> Now, does that mean that Org should try to execute BibTeX blocks when
> executing a buffer?  I do not think so.

Using standard features (properties, header-args) in a standard way does not strike me as a `work around'.

You have not made a clear case that src blocks are even needed to support your use case. It may well be that export blocks (which never execute) would work just as well.  But with no ECM, one can only guess.

I'm still inclined to call this a feature request, not a bug. And decisions about adding complexity to an already complicated code base should take that point of view, IMO.

Best,

Chuck